Skip to content

list

POST
/public/agent-task/list
curl --request POST \
--url https://enclave.subnoto.com/public/agent-task/list \
--header 'Content-Type: application/json' \
--data '{ "stateFilter": [ "working" ], "page": 1, "limit": 50, "sortOrder": "asc" }'

List agent tasks for the team. Each entry represents one taskUuid with its latest report.

Media type application/json
object
stateFilter

Filter tasks whose latest report is in one of the given states. Omit or empty to return all.

Array<string>
Allowed values: working complete idle failure
page

The page number (1-indexed). Defaults to 1.

integer
default: 1 >= 1 <= 9007199254740991
limit

The number of tasks per page. Defaults to 50, maximum is 50.

integer
default: 50 >= 1 <= 50
sortOrder

Sort tasks by the latest report timestamp. Defaults to ‘desc’.

string
default: desc
Allowed values: asc desc

Default Response

Media type application/json
object
tasks
required
Array<object>
object
taskUuid
required

The task grouping UUID.

string
reportCount
required

Number of reports recorded for this task.

integer
<= 9007199254740991
latestReport
required
object
state
required

The latest reported state.

string
Allowed values: working complete idle failure
summary
required

The latest reported summary.

string
link

Optional resource link from the latest report.

string
timestamp
required

The timestamp of the latest report (unix ms).

number
author
required
object
uuid
required

Author public UUID (nil UUID for System).

string
>= 36 characters <= 36 characters
email
required

Author email address.

string
name
required

Author display name.

string
pagination
required
object
totalRecords
required

The total number of items matching the filters.

integer
<= 9007199254740991
currentPage
required

The page number that was requested (1-indexed).

integer
>= 1 <= 9007199254740991
totalPages
required

The total number of pages. Equals ceil(totalRecords / limit), or 1 when totalRecords is 0.

integer
>= 1 <= 9007199254740991
nextPage
required
Any of:
integer
>= 1 <= 9007199254740991
prevPage
required
Any of:
integer
>= 1 <= 9007199254740991
Example
{
"tasks": [
{
"latestReport": {
"state": "working"
}
}
]
}

Default Response

Media type application/json
object
statusCode
required

HTTP status code

number
error
required
object
code
required

The error code

string
Allowed values: AUTHENTICATION_ERROR TUNNEL_ERROR TUNNEL_SESSION_NOT_FOUND INVALID_REQUEST_FORMAT
message
required

The error message

string
suggestion
required

A suggestion to resolve the error

string
documentationUrl
required

A URL to the documentation

string
details

Optional validation details (e.g. for INVALID_REQUEST_FORMAT)

Array<object>

Single validation issue (e.g. from request body schema)

object
path
required

JSON path to the invalid field

Array<string>
message
required

Validation error message for this field

string
requestId
required

The unique identifier of the request

string
timestamp
required

The timestamp of the response

string
path
required

The path of the request

string
Example
{
"error": {
"code": "AUTHENTICATION_ERROR"
}
}

Default Response

Media type application/json
object
statusCode
required

HTTP status code

number
error
required
object
code
required

The error code

string
Allowed values: AUTHORIZATION_ERROR FEATURE_NOT_IN_CURRENT_PLAN INVALID_REQUEST_FORMAT
message
required

The error message

string
suggestion
required

A suggestion to resolve the error

string
documentationUrl
required

A URL to the documentation

string
details

Optional validation details (e.g. for INVALID_REQUEST_FORMAT)

Array<object>

Single validation issue (e.g. from request body schema)

object
path
required

JSON path to the invalid field

Array<string>
message
required

Validation error message for this field

string
requestId
required

The unique identifier of the request

string
timestamp
required

The timestamp of the response

string
path
required

The path of the request

string
Example
{
"error": {
"code": "AUTHORIZATION_ERROR"
}
}

Default Response

Media type application/json
object
statusCode
required

HTTP status code

number
error
required
object
code
required

The error code

string
Allowed values: INTERNAL_SERVER_ERROR INVALID_REQUEST_FORMAT
message
required

The error message

string
suggestion
required

A suggestion to resolve the error

string
documentationUrl
required

A URL to the documentation

string
details

Optional validation details (e.g. for INVALID_REQUEST_FORMAT)

Array<object>

Single validation issue (e.g. from request body schema)

object
path
required

JSON path to the invalid field

Array<string>
message
required

Validation error message for this field

string
requestId
required

The unique identifier of the request

string
timestamp
required

The timestamp of the response

string
path
required

The path of the request

string
Example
{
"error": {
"code": "INTERNAL_SERVER_ERROR"
}
}